<p>{{'goaManagement.handleClassification.table.orgName' | translate}}: {{detailItemCorrection?.orgName}}</p>
<nz-table #groupingTable [nzData]="dataItemSuggestRatingClone" nzBordered nzSize="middle" [nzShowPagination]="false">
  <thead>
  <tr>
    <th rowSpan="2" colspan="1"
        scope="">{{'goaManagement.system-allocation.label.table.classification' | translate}}</th>
  </tr>
  <tr>
    <th *ngFor="let item of dataClassificationList" rowspan="3" scope="">{{ item?.cldName}}</th>
  </tr>
  </thead>
  <tbody>
  <tr>
    <td>
      <p>{{'goaManagement.system-allocation.label.table.numberSuggest' | translate}}</p>
    </td>
    <td
      *ngFor="let dataItemSuggestRatingItem of dataItemSuggestRating;index as i"
    >
      <p>
        {{ dataItemSuggestRatingItem.numberEmpReal | transformFormatPercent: 'prev' : 'notPercent'}}
        {{ dataItemSuggestRatingItem.numberEmpRealApportion | transformFormatPercent: 'curr' : 'notPercent'}}
      </p>
    </td>
  </tr>
  <tr>
    <td>
      <p>{{'goaManagement.system-allocation.label.table.numberApproval' | translate}}</p>
      <p class="showErrormessage">{{errMessage}}</p>
    </td>
    <td
      *ngFor="let dataItemSuggestRatingItem of groupingTable.data;index as i"
      >
        <mb-input-text mbInputType='number'
                       [mbShowFlexEnd]='false' [ngModel]="dataItemSuggestRatingItem?.numberEmpReal"
                       (ngModelChange)="getValueSuggestRatingItem($event, dataItemSuggestRatingItem, i)" [minNumber]="'0'"
                       [mbErrors]="{required: true}"
                       [mbType]="dataItemSuggestRatingItem?.errorMess ? 'error' : 'default'"
                       [mbShowError]="convertStringToBoolean(dataItemSuggestRatingItem.errorMess)"
                       [mbErrorDefs]="[{ errorName: 'required', errorDescription: dataItemSuggestRatingItem?.errorMess}]"
        >
        </mb-input-text>
    </td>
  </tr>
  </tbody>
</nz-table>
